ForkedGrailsTestRunner (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.cli.fork.testing

## [Groovy] Class ForkedGrailsTestRunner

- org.codehaus.groovy.grails.cli.fork.testing.ForkedGrailsTestRunner

- Allows forking of JVM when executing the GrailsProjectTestRunner class from the grails-test module.

  Authors:
    Graeme Rocher
  Since:
    2.3

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ForkedGrailsProcess` | `DEBUG_FORK, DEFAULT_DAEMON_PORT, DEFAULT_DEBUG_ARGS, PARENT_PROCESS_PORT`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ForkedGrailsTestRunner (BuildSettings buildSettings)`
    `protected ForkedGrailsTestRunner ()`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `configureFork(BuildSettings buildSettings)`
    `protected groovy.lang.GroovyClassLoader` | `createClassLoader(BuildSettings buildSettings)`
    `protected ExecutionContext` | `createExecutionContext()`
    `protected java.lang.Object` | `createInstance(java.lang.Class projectComponentClass, BuildSettings buildSettings)`
    `protected java.lang.String` | `getProjectClassType()`
    `protected java.lang.Object` | `instantiateIntegrationPhaseConfig(java.lang.Object testRunner, java.lang.Object projectLoader)`
    `static void` | `main(java.lang.String[] args)`
    `int` | `runInstance(java.lang.Object instance)`
    `protected void` | `setTestExecutionContext(java.lang.Object testRunner, groovy.lang.Binding scriptBinding, java.lang.Object integrationPhaseConfigurer, java.lang.Object functionalPhaseConfigurer)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ForkedGrailsProjectClassExecutor` | `createEventListener, createExecutionContext, createExecutionContext, createInstance, getProjectClassType, initializeProjectInstance, run, runInstance`
    `class ForkedGrailsProcess` | `attachOutputListener, buildMinimalIsolatedClasspath, buildProcessCommand, configure, configureFork, createClassLoader, discoverAndSetAgent, findJarFile, findSystemClasspathJars, findToolsJar, fork, forkDaemon, forkReserve, forkReserveProcess, getBoostrapClasspath, getResumeDir, initializeBuildSettings, initializeClassLoader, initializeLogging, isDaemonProcess, isDaemonRunning, isDebugForkEnabled, isForkingReserveEnabled, isReserveProcess, isServerRunning, isWindows, killAfterTimeout, readExecutionContext, readExecutionContext, readLine, restartDaemon, runDaemonCommand, setupReloading, shouldRunWithDaemon, startDaemon, startParentAvailabilityServer, startParentPortMonitor, startProjectWatcher, storeExecutionContext, waitForResume`
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### ForkedGrailsTestRunner(BuildSettings buildSettings)

    - #### protected ForkedGrailsTestRunner()

  - ### Method Detail

    - #### @java.lang.Override protected void configureFork(BuildSettings buildSettings)

    - #### @java.lang.Override protected groovy.lang.GroovyClassLoader createClassLoader(BuildSettings buildSettings)

    - #### @java.lang.Override protected ExecutionContext createExecutionContext()

    - #### @java.lang.Override protected java.lang.Object createInstance(java.lang.Class projectComponentClass, BuildSettings buildSettings)

    - #### @java.lang.Override protected java.lang.String getProjectClassType()

    - #### @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) protected java.lang.Object instantiateIntegrationPhaseConfig(java.lang.Object testRunner, java.lang.Object projectLoader)

    - #### static void main(java.lang.String[] args)

    - #### @java.lang.Override @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) int runInstance(java.lang.Object instance)

    - #### @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) protected void setTestExecutionContext(java.lang.Object testRunner, groovy.lang.Binding scriptBinding, java.lang.Object integrationPhaseConfigurer, java.lang.Object functionalPhaseConfigurer)